Bug 96993 - kernel doesn't use correct source ip address
kernel doesn't use correct source ip address
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-07 23:57 EDT by Joseph Shraibman
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-08 07:49:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Shraibman 2003-06-07 23:57:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030529

Description of problem:
I set up a machine to have two ip addresses (with redhat-config-network), one a
fake one ( and one real internet address.  The problem was it was
using the fake ip address when sending packets over the internet.  The routing
table is fine.

This problem happened with the fake address being eth0 and the real internet
address being eth0:1.  In order to solve this problem I had to switch them around.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Alan Cox 2003-06-08 07:49:12 EDT
The system has no idea which address to default to unless an application
requests a specific address or you set one for a route (see "man ip" for more
info). As such this isnt a bug.

Comment 2 Joseph Shraibman 2003-06-08 21:00:03 EDT
There is nothing on the page except a pointer to a ps file, which apparently is
malformed because I can't read it.

Note You need to log in before you can comment on or make changes to this bug.